/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for MyocardialWallSegments
 */
public enum EnumCM_MyocardialWallSegments 
{
	//CID 3717 Myocardial Wall Segments
		LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT("left ventricle basal anterior segment"),
		LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT("left ventricle basal anteroseptal segment"),
		LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT("left ventricle basal inferoseptal segment"),
		LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT("left ventricle basal inferior segment"),
		LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT("left ventricle basal inferolateral segment"),
		LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT("left ventricle basal anterolateral segment"),
		LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT("left ventricle mid anterior segment"),
		LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT("left ventricle mid anteroseptal segment"),
		LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT("left ventricle mid inferoseptal segment"),
		LEFT_VENTRICLE_MID_INFERIOR_SEGMENT("left ventricle mid inferior segment"),
		LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT("left ventricle mid inferolateral segment"),
		LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT("left ventricle mid anterolateral segment"),
		LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT("left ventricle apical anterior segment"),
		LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT("left ventricle apical septal segment"),
		LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT("left ventricle apical inferior segment"),
		LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT("left ventricle apical lateral segment"),
		APEX_OF_LEFT_VENTRICLE("apex of left ventricle");

	private String value;
	
	EnumCM_MyocardialWallSegments(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
